Skip to main content
POST
Report a session commit to the record commit index

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Path Parameters

org_id
string
required

Organization identifier (e.g. org-abc12345)

Body

application/json
schema
enum<string>
required
Available options:
RecordCommit/v1
lineage_key
string
required

The session's gateway lineage key (x-mnemom-lineage-key).

Required string length: 1 - 256
repo
string
required

owner/name

Pattern: ^[A-Za-z0-9_.-]{1,100}/[A-Za-z0-9_.-]{1,100}$
branch
string
required
Required string length: 1 - 256
sha
string
required

The commit SHA, 40 lowercase hex.

Pattern: ^[0-9a-f]{40}$
patch_id
string
required

git patch-id --stable of the commit, 40 lowercase hex.

Pattern: ^[0-9a-f]{40}$

Response

Already indexed under this lineage; nothing changed.

indexed
enum<boolean>
required
Available options:
true
sha
string
required
Pattern: ^[0-9a-f]{40}$